Bug 522368 - setroubleshoot: SELinux is preventing abrtd "read" access on ccpp-1252519438-1762.lock.
Summary: setroubleshoot: SELinux is preventing abrtd "read" access on ccpp-125251...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:387faee96f4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-10 08:25 UTC by isada
Modified: 2015-02-01 22:49 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-25 11:52:36 UTC


Attachments (Terms of Use)

Description isada 2009-09-10 08:25:03 UTC
The following was filed automatically by setroubleshoot:

Zusammenfassung:

SELinux is preventing abrtd "read" access on ccpp-1252519438-1762.lock.

Detaillierte Beschreibung:

[abrtd has a permissive type (initrc_t). This access was not denied.]

SELinux denied access requested by abrtd. It is not expected that this access is
required by abrtd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Zugriff erlauben:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Zusätzliche Informationen:

Quellkontext                  system_u:system_r:initrc_t:s0
Zielkontext                   system_u:object_r:abrt_var_cache_t:s0
Zielobjekte                   ccpp-1252519438-1762.lock [ file ]
Quelle                        abrtd
Quellen-Pfad                  /usr/sbin/abrtd
Port                          <Unbekannt>
Host                          (removed)
Quellen-RPM-Pakete            abrt-0.0.8.5-1.fc12
Ziel-RPM-Pakete               
RPM-Richtlinie                selinux-policy-3.6.30-4.fc12
SELinux aktiviert             True
Richtlinienversion            targeted
MLS aktiviert                 True
Enforcing-Modus               Enforcing
Plugin-Name                   catchall
Hostname                      (removed)
Plattform                     Linux (removed) 2.6.31-0.204.rc9.fc12.i686.PAE #1 SMP
                              Sat Sep 5 20:45:47 EDT 2009 i686 i686
Anzahl der Alarme             2
Zuerst gesehen                Mi 09 Sep 2009 20:03:58 CEST
Zuletzt gesehen               Mi 09 Sep 2009 20:03:58 CEST
Lokale ID                     1867b3a7-ea36-41a0-b7df-fa27b1a81a1e
Zeilennummern                 

Raw-Audit-Meldungen           

node=(removed) type=AVC msg=audit(1252519438.562:61): avc:  denied  { read } for  pid=1330 comm="abrtd" name="ccpp-1252519438-1762.lock" dev=dm-2 ino=103750 scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:abrt_var_cache_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1252519438.562:61): avc:  denied  { open } for  pid=1330 comm="abrtd" name="ccpp-1252519438-1762.lock" dev=dm-2 ino=103750 scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:abrt_var_cache_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1252519438.562:61): arch=40000003 syscall=5 success=yes exit=7 a0=871a494 a1=0 a2=1a0 a3=ffffffff items=0 ppid=1 pid=1330 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="abrtd" exe="/usr/sbin/abrtd" subj=system_u:system_r:initrc_t:s0 key=(null)


audit2allow suggests:

#============= initrc_t ==============
allow initrc_t abrt_var_cache_t:file { read open };

Comment 1 Bug Zapper 2009-11-16 12:11:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.